using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace API_Access_Control.Models.Responses;

public class JWTGenerationResponse
{
    [JsonPropertyName("access_token")]
    public required string AccessToken { get; set; }

    [JsonPropertyName("token_type")]
    public  string? TokenType { get; set; }

    [JsonPropertyName("expires_in")]
    public  string? ExpiresIn { get; set; }
}